Public Member Functions | Public Attributes | List of all members
libvisio::VSDFillStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDFillStyle ()
| VSDFillStyle (const Colour &fgc, const Colour &bgc, unsigned char p, double fga, double bga, const Colour &sfgc, unsigned char shp, double shX, double shY)
| VSDFillStyle (const VSDFillStyle &style)
| ~VSDFillStyle ()
void | override (const VSDOptionalFillStyle &style)

## Public Attributes
Colour | fgColour
Colour | bgColour
unsigned char | pattern
double | fgTransparency
double | bgTransparency
Colour | shadowFgColour
unsigned char | shadowPattern
double | shadowOffsetX
double | shadowOffsetY

## Constructor & Destructor Documentation

## § VSDFillStyle() [1/3]

libvisio::VSDFillStyle::VSDFillStyle | ( |  | ) |
| inline

## § VSDFillStyle() [2/3]

libvisio::VSDFillStyle::VSDFillStyle | ( | const Colour & | fgc,
|  | const Colour & | bgc,
|  | unsigned char | p,
|  | double | fga,
|  | double | bga,
|  | const Colour & | sfgc,
|  | unsigned char | shp,
|  | double | shX,
|  | double | shY
| ) |  |
| inline

## § VSDFillStyle() [3/3]

libvisio::VSDFillStyle::VSDFillStyle | ( | const VSDFillStyle & | style | ) |
| inline

## § ~VSDFillStyle()

libvisio::VSDFillStyle::~VSDFillStyle | ( |  | ) |
| inline

## Member Function Documentation

## § override()

void libvisio::VSDFillStyle::override | ( | const VSDOptionalFillStyle & | style | ) |
| inline

Referenced by libvisio::VSDContentCollector::collectFillAndShadow(), libvisio::VSDContentCollector::collectShape(), and libvisio::VSDStyles::getFillStyle().

## Member Data Documentation

## § bgColour

Colour libvisio::VSDFillStyle::bgColour

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties().

## § bgTransparency

double libvisio::VSDFillStyle::bgTransparency

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties().

## § fgColour

Colour libvisio::VSDFillStyle::fgColour

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties().

## § fgTransparency

double libvisio::VSDFillStyle::fgTransparency

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties().

## § pattern

unsigned char libvisio::VSDFillStyle::pattern

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), libvisio::VSDContentCollector::_flushCurrentPath(), and libvisio::VSDContentCollector::_flushShape().

## § shadowFgColour

Colour libvisio::VSDFillStyle::shadowFgColour

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties().

## § shadowOffsetX

double libvisio::VSDFillStyle::shadowOffsetX

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties().

## § shadowOffsetY

double libvisio::VSDFillStyle::shadowOffsetY

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties().

## § shadowPattern

unsigned char libvisio::VSDFillStyle::shadowPattern

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties().

The documentation for this struct was generated from the following file:

- VSDStyles.h